Bug 975069 - [abrt] gnome-abrt-0.2.12-2.fc18: directory_problems.py:252:get_items:InvalidProblem: Can't open directory: '/home/jboyle/.cache/abrt/spool/oops-2013-06-16-19:01:07-18890-1/backtrace'
[abrt] gnome-abrt-0.2.12-2.fc18: directory_problems.py:252:get_items:InvalidP...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:d783ff47e24f62e114ee4bfbb59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 10:38 EDT by James Boyle
Modified: 2016-11-30 19:44 EST (History)
3 users (show)

See Also:
Fixed In Version: abrt-2.1.6-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 20:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.28 KB, text/plain)
2013-06-17 10:38 EDT, James Boyle
no flags Details
File: core_backtrace (1.44 KB, text/plain)
2013-06-17 10:38 EDT, James Boyle
no flags Details
File: environ (1.66 KB, text/plain)
2013-06-17 10:38 EDT, James Boyle
no flags Details
Files from bug (2.94 KB, application/gzip)
2013-07-08 19:38 EDT, Devon Janitz
no flags Details

  None (edit)
Description James Boyle 2013-06-17 10:38:30 EDT
Description of problem:
I wanted to review the backtrace file when submitting a bug.

gedit was spawned, I edited the text file.  Either clicking save or exiting triggered the problem.

Version-Release number of selected component:
gnome-abrt-0.2.12-2.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/bin/gnome-abrt
dso_list:       python-inotify-0.9.4-1.fc18.noarch
executable:     /usr/bin/gnome-abrt
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
directory_problems.py:252:get_items:InvalidProblem: Can't open directory: '/home/jboyle/.cache/abrt/spool/oops-2013-06-16-19:01:07-18890-1/backtrace'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 69, in dispatch
    self._notifier.process_events()
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 1295, in process_events
    self._default_proc_fun(revent)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 937, in __call__
    return _ProcessEvent.__call__(self, event)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 662, in __call__
    return meth(event)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 140, in process_IN_MOVED_TO
    self.source.process_new_problem_id(os.path.join(event.path, event.name))
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 403, in process_new_problem_id
    prblm = self._create_new_problem(problem_id)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 327, in _create_new_problem
    return self._impl()._create_new_problem(problem_id)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 280, in _create_new_problem
    p = problems.Problem(problem_id, self._parent)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 115, in __init__
    self.data = self._get_initial_data(self.source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 186, in _get_initial_data
    'reason')
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 324, in get_items
    return self._impl().get_items(problem_id, *args)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/directory_problems.py", line 252, in get_items
    _("Can't open directory: '{0}'").format(problem_id))
InvalidProblem: Can't open directory: '/home/jboyle/.cache/abrt/spool/oops-2013-06-16-19:01:07-18890-1/backtrace'

Local variables in innermost frame:
dd: <report.dump_dir object at 0x1e0b438>
args: ('component', 'executable', 'time', 'reason')
problem_id: '/home/jboyle/.cache/abrt/spool/oops-2013-06-16-19:01:07-18890-1/backtrace'
self: <gnome_abrt.directory_problems.InitializedDirectoryProblemSource instance at 0x1e09908>
Comment 1 James Boyle 2013-06-17 10:38:34 EDT
Created attachment 762046 [details]
File: backtrace
Comment 2 James Boyle 2013-06-17 10:38:37 EDT
Created attachment 762047 [details]
File: core_backtrace
Comment 3 James Boyle 2013-06-17 10:38:41 EDT
Created attachment 762048 [details]
File: environ
Comment 4 Devon Janitz 2013-07-08 19:37:05 EDT
Good day all,
Just found the crash and files created after I had started reviewing another abrt report.  Will attach them shortly.
Thanks, Devon
Comment 5 Devon Janitz 2013-07-08 19:38:59 EDT
Created attachment 770713 [details]
Files from bug
Comment 6 Jakub Filak 2013-07-19 10:32:49 EDT
Patch submitted for review:
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-July/005030.html
Comment 7 Jakub Filak 2013-07-24 06:45:33 EDT
Fixed in upstream git:

commit dad52cb2ed44fa86625d1475b19f50ce1902eea8
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Jul 19 16:30:20 2013 +0200

    Skip inotify events for sub folders in dump location watcher
    
    Closes rhbz#975069
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>
Comment 8 Fedora Update System 2013-07-29 07:11:30 EDT
abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
Comment 9 Fedora Update System 2013-07-30 13:42:17 EDT
Package abrt-2.1.6-2.fc18, gnome-abrt-0.3.0-1.fc18, libreport-2.1.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc18 gnome-abrt-0.3.0-1.fc18 libreport-2.1.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-1.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-02 18:02:56 EDT
Package abrt-2.1.6-2.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-2.fc18 libreport-2.1.6-2.fc18 gnome-abrt-0.3.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-2.fc18,gnome-abrt-0.3.0-2.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-08-07 19:00:26 EDT
Package abrt-2.1.6-3.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.6-3.fc18 libreport-2.1.6-2.fc18 gnome-abrt-0.3.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13876/abrt-2.1.6-3.fc18,gnome-abrt-0.3.0-2.fc18,libreport-2.1.6-2.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-08-22 20:39:08 EDT
abrt-2.1.6-3.fc18, libreport-2.1.6-2.fc18, gnome-abrt-0.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.